Bug 901793 - Crash at startup
Summary: Crash at startup
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ocspd
Version: 18
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Patrick Monnerat
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-19 09:06 UTC by Didier Fabert (tartare)
Modified: 2013-02-01 16:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-01 16:42:44 UTC


Attachments (Terms of Use)

Description Didier Fabert (tartare) 2013-01-19 09:06:39 UTC
Description of problem:
ocspd won't start after upgrade from fc17 to fc18 with fedup. ocspd.conf, cert, key, ca and crl are the same before and after upgrade. ocspd was running fine on fc17.

Version-Release number of selected component (if applicable):
ocspd-1.5.1-0.12.rc1.fc18.x86_64

How reproducible:
Always

Steps to Reproduce:
1. systemctl restart ocspd.service
  
Actual results:
Crash at startup

Expected results:
Like on fedora17, an active responder running without crash :)

Additional info:
/var/log/messages
Jan 19 09:54:37 didier systemd[1]: Starting OpenCA OCSP Responder...
Jan 19 09:54:37 didier ocspd[3283]: OpenCA OCSPD v1.5.1 - starting.
Jan 19 09:54:37 didier ocspd[3283]: Initialising HSM [(null)]
Jan 19 09:54:37 didier ocspd[3283]: Engine Initialisation Complete ["(null)"]
Jan 19 09:54:37 didier kernel: [138368.918545] ocspd[3283]: segfault at 3ac879b3c8 ip 000000000040a982 sp 00007fffb6396440 error 7 in ocspd[400000+f000]
Jan 19 09:54:37 didier abrtd: Directory 'ccpp-2013-01-19-09:54:37-3283' creation detected
Jan 19 09:54:37 didier abrt[3284]: Saved core dump of pid 3283 (/usr/sbin/ocspd) to /var/spool/abrt/ccpp-2013-01-19-09:54:37-3283 (1159168 bytes)
Jan 19 09:54:37 didier systemd[1]: ocspd.service: control process exited, code=dumped status=11
Jan 19 09:54:37 didier systemd[1]: Failed to start OpenCA OCSP Responder.
Jan 19 09:54:37 didier systemd[1]: Unit ocspd.service entered failed state
Jan 19 09:54:37 didier abrtd: Génération du backtrace
Jan 19 09:54:39 didier abrtd: New problem directory /var/spool/abrt/ccpp-2013-01-19-09:54:37-3283, processing

Comment 1 Patrick Monnerat 2013-01-21 16:43:59 UTC
Thanks for the report.
After some investigations, I determined this is a problem with openssl. I filed bug #902430 for it.
I'm afraid I cannot produce a workaround in the meantime.

Comment 2 Fedora Update System 2013-01-22 12:37:05 UTC
ocspd-1.5.1-0.13.rc1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ocspd-1.5.1-0.13.rc1.fc17

Comment 3 Fedora Update System 2013-01-22 12:37:18 UTC
ocspd-1.5.1-0.13.rc1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ocspd-1.5.1-0.13.rc1.fc16

Comment 4 Fedora Update System 2013-01-22 12:37:35 UTC
ocspd-1.5.1-0.13.rc1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ocspd-1.5.1-0.13.rc1.fc18

Comment 5 Fedora Update System 2013-01-23 16:06:20 UTC
Package ocspd-1.5.1-0.13.rc1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ocspd-1.5.1-0.13.rc1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-1314/ocspd-1.5.1-0.13.rc1.fc16
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-02-01 16:42:46 UTC
ocspd-1.5.1-0.13.rc1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2013-02-01 16:49:02 UTC
ocspd-1.5.1-0.13.rc1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-02-01 16:51:11 UTC
ocspd-1.5.1-0.13.rc1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.